/*
  Speaker.h - Sound library for Arduino & Wiring
  Created by Gabriel Petrut, August 2, 2009.
  Released into the public domain.
*/

#ifndef Speaker_h
#define Speaker_h

#include <Wprogram.h>

class Speaker
{
  public:
	Speaker(byte pin);
	void PlayMelody();
	void PlayTone(int tone, int duration);
	void PlayNote(byte note, int duration);
	void Beep();

  private:
	byte _pin;
	byte _note;
	int _tone;
	int _duration;
};

#endif

